Bug 145239 - net-mgmt/collectd update to new version
Summary: net-mgmt/collectd update to new version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-31 14:10 UTC by Krzysztof
Modified: 2014-09-12 13:10 UTC (History)
0 users

See Also:


Attachments
Makefile.patch (1.22 KB, patch)
2010-03-31 14:10 UTC, Krzysztof
no flags Details | Diff
file.diff (557 bytes, patch)
2010-03-31 14:10 UTC, Krzysztof
no flags Details | Diff
_collectd.patch (7.88 KB, patch)
2010-04-01 08:19 UTC, Krzysztof Stryjek
no flags Details | Diff
collectd-4.9.2-update (8.59 KB, text/plain; charset=iso-8859-2)
2010-05-04 09:29 UTC, Krzysztof
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2010-03-31 14:10:08 UTC
	Collectd project released new version of collectd demon. New version
was released last december, so it's time to port update.

	Also maintainer asked me to take maintainership. That's my pleasure :-)

Fix: There are patches for Makefile and distinfo:
How-To-Repeat: 	cd $PORTS/net-mgmt/collectd && make all install clean
Comment 1 Edwin Groothuis freebsd_committer 2010-03-31 14:10:19 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-03-31 14:10:22 UTC
Maintainer of net-mgmt/collectd,

Please note that PR ports/145239 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/145239

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-03-31 14:10:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Daniel Roethlisberger 2010-03-31 14:59:26 UTC
I approve the maintainership handover.

Without having tested it, I suggest the following changes:
-   Remove mirror.roe.ch from MASTER_SITES, since I wont be
    updating it with the latest version of the distfiles as a
    result of passing maintainership.
-   Include a diff -ruN against the whole port directory, not
    just the Makefile, to include pkg-* changes.
-   Make sure you also update the pkg-plist, at the very least it
    needs an update because of the postgresql plugin.

Thanks!

-- 
Daniel Roethlisberger
http://daniel.roe.ch/
Comment 5 Krzysztof Stryjek 2010-04-01 08:19:25 UTC
As current maintainer asked, I'm attaching diff -ruN of collectd
directory

Greetings,
-- 
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek
GPG fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

In theory, there is no difference between theory and practice.
In practice, there is.
Comment 6 Daniel Roethlisberger 2010-04-06 21:03:11 UTC
This patch looks good to me.  As already stated, I'm happy to
transfer maintainership, so from my point of view, this PR can
proceed.

Thanks!

-- 
Daniel Roethlisberger
http://daniel.roe.ch/
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2010-04-07 00:09:41 UTC
State Changed
From-To: feedback->open

Patch approved by current maintainer; also transfer of maintainership 
approved.
Comment 8 Sahil Tandon freebsd_committer 2010-04-27 00:14:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 9 Sahil Tandon freebsd_committer 2010-05-03 00:05:52 UTC
configure fails:

http://people.freebsd.org/~sahil/logs/9.0/collectd-4.9.1.log

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 10 Sahil Tandon freebsd_committer 2010-05-03 03:55:24 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 11 Daniel Roethlisberger 2010-05-03 12:02:31 UTC
Sahil, from your tb log it is not clear why the SNMP dependency
is not picked up.  I suspect it may have been the GCC stack
protection issue which prevented the net-snmp shlib from linking
(see ports/141238 and others) which was fixed in net-snmp
5.4.2.1_6 on 28 Apr 2010 01:38:40 without a revision bump.

-- 
Daniel Roethlisberger
http://daniel.roe.ch/
Comment 12 Krzysztof 2010-05-03 21:11:36 UTC
Hi,

On Sun, May 02, 2010 at 07:05:52PM -0400, Sahil Tandon wrote:
> configure fails:
> 
> http://people.freebsd.org/~sahil/logs/9.0/collectd-4.9.1.log
> 
> -- 
> Sahil Tandon <sahil@FreeBSD.org>
> 

Sorry for late answer, but I was on short vacations... I'll check this
port build on new 8-STABLE box (clean install) if this error happens (I
guess that your testing system is just installed without any ports,
improvements). Can you show me your CFLAGS settings? Should I use just
defaults (default make.conf)?

Thank's a lot for your answer.

Greetings,
-- 
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek
GPG fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

In theory, there is no difference between theory and practice.
In practice, there is.
Comment 13 Sahil Tandon freebsd_committer 2010-05-03 23:29:33 UTC
I will test on my tinderbox after updating SNMP.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 14 Sahil Tandon 2010-05-04 01:46:20 UTC
After rebuilding SNMP, we get all the way to install and de-install,
at which point some mtree issues are revealed.  

I am not sure why python and java-related files are installed if the
CONFIGURE_ARGS disable these things; please investigate and let me know
if you believe there is an error in my testing.

http://people.freebsd.org/~sahil/logs/9.0/collectd-4.9.1.log

-- 
Sahil Tandon <sahil@tandon.net>
Comment 15 Krzysztof 2010-05-04 09:29:27 UTC
Hi,

On Mon, May 03, 2010 at 08:46:20PM -0400, Sahil Tandon wrote:
> After rebuilding SNMP, we get all the way to install and de-install,
> at which point some mtree issues are revealed.  
> 
> I am not sure why python and java-related files are installed if the
> CONFIGURE_ARGS disable these things; please investigate and let me know
> if you believe there is an error in my testing.
> 
> http://people.freebsd.org/~sahil/logs/9.0/collectd-4.9.1.log
> 
No, there is no error in your testing. I've investigated and I think it
should be correct now. 

Also I've checked that there is new (bugs patched) version of collectd:
4.9.2 So I've made new patch for this version. I hope that's not
problem?

Greetings,
-- 
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek
GPG fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

In theory, there is no difference between theory and practice.
In practice, there is.
Comment 16 Sahil Tandon freebsd_committer 2010-05-05 05:51:14 UTC
On Tue, 04 May 2010, Krzysztof Stryjek wrote:

> I'm attaching correctd collectd-4.9.2 patch for port

A few things:

[ .. ]

>  .if defined(WITH_APACHE)
>  CONFIGURE_ARGS+=--enable-apache
> -LIB_DEPENDS+=	curl.5:${PORTSDIR}/ftp/curl
> +LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl

[ .. ]

> +.if defined(WITH_CURL)
> +CONFIGURE_ARGS+=--enable-curl
> +LIB_DEPENDS+=   curl:${PORTSDIR}/ftp/curl

[ .. ]

> +.if defined(WITH_NGINX)
> +USE_NGINX=	yes
> +LIB_DEPENDS+=	curl.5:${PORTSDIR}/ftp/curl

What is the rationale for using curl.5 here, curl.6 elsewhere, et
cetera?

[ .. ]

> +lib/pkgconfig/libcollectdclient.pc

Ports should not install pkg-config files in ${PREFIX}/lib/pkgconfig;
instead, install into ${PREFIX}/libdata/pkgconfig.  A reasonably recent
version of portlint(1) should have warned you about this.  We do this to
respect hier(7) on FreeBSD.

Finally, there remain mtree problems after applying your latest patch
for 4.9.2:

=== Checking filesystem state
list of extra files and directories in / (not present before this port was installed but present after it was deinstalled)
990856        4 drwxr-xr-x    2 root             wheel 512 May  5 04:25 usr/local/include/collectd
990857        8 -r--r--r--    1 root             wheel 3168 May  5 04:25 usr/local/include/collectd/client.h
990858        4 -r--r--r--    1 root             wheel 1682 May  5 04:25 usr/local/include/collectd/lcc_features.h
764448       28 -rw-r--r--    1 root             wheel 12960 May  5 04:25 usr/local/lib/libcollectdclient.a
764447        4 -rwxr-xr-x    1 root             wheel 1057 May  5 04:25 usr/local/lib/libcollectdclient.la
764446        0 lrwxr-xr-x    1 root             wheel 22 May  5 04:25 usr/local/lib/libcollectdclient.so -> libcollectdclient.so.0
764444       36 -rwxr-xr-x    1 root             wheel 17941 May  5 04:25 usr/local/lib/libcollectdclient.so.0
990850        4 drwxr-xr-x    2 root             wheel 512 May  5 04:25 usr/local/lib/pkgconfig
================================================================

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 17 dfilter service freebsd_committer 2010-05-07 02:51:45 UTC
sahil       2010-05-07 01:51:37 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/collectd    Makefile distinfo pkg-plist 
  Log:
  - Update to 4.9.2
  - Add USE_LDCONFIG to register shared libs
  - Pass maintainership to submitter
  
  PR:             ports/145239
  Submitted by:   Krzysztof Stryjek <ports@bsdserwis.com>
  Approved by:    Daniel Roethlisberger <daniel@roe.ch> (maintainer)
                  wxs@ (mentor)
  
  Revision  Changes    Path
  1.11      +96 -20    ports/net-mgmt/collectd/Makefile
  1.3       +3 -3      ports/net-mgmt/collectd/distinfo
  1.5       +59 -6     ports/net-mgmt/collectd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 18 Sahil Tandon freebsd_committer 2010-05-07 04:07:15 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 19 commit-hook freebsd_committer 2014-09-11 18:09:03 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Sep 11 18:08:38 UTC 2014
New revision: 367960
URL: http://svnweb.freebsd.org/changeset/ports/367960

Log:
  - Update to 1.0

  PR:		145239
  Submitted by:	madpilot@FreeBSD.org

Changes:
  head/games/openxcom/Makefile
  head/games/openxcom/distinfo
  head/games/openxcom/files/patch-src__Engine__RNG.cpp
  head/games/openxcom/files/pkg-message.in
Comment 20 Krzysztof 2014-09-12 13:10:30 UTC
It seems like a mistake. Your last comment is connected with openxcom, not collectd. So for me it should be attached to another issue.